Skip to content

Web Hosting

All operations require authentication, except the one marked Public.

52 operationsv1 · v2/hosting/web · /webhosting/resource
Agent setup

List web hostingsProduction

GET
/1.0/hosting/web

Returns the service names of the web hostings of the account.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List boost historyProduction

GET
/1.0/hosting/web/{serviceName}/boostHistory

Returns the dates of the boost changes of the hosting. Filter them by date.

Path parameters

serviceName
required
string

Service name

Query parameters

date
stringdate-time

Filter the value of date property (=)

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/boostHistory \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "2024-01-01T12:00:00Z"]

List web hostingsBeta

GET
/v2/webhosting/resource

Returns the web hostings of the account.

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200WebWithIAM[]successful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
WebCurrentState

Current state of the hosting plan

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the hosting plan

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the resource. Here, the service name is used as an identifier.

resourceStatus
read-only
ResourceStatusEnum

Webhosting resource readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/webhosting/resource \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "name": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING" }]

Get a web hostingProduction

GET
/1.0/hosting/web/{serviceName}

Returns the offer, state, cluster, recommended IPs, disk and traffic quotas, and PHP versions of the web hosting.

Path parameters

serviceName
required
string

Service name

Response

200ServiceWithIAMsuccessful operation
availableBoostOffer
read-only
AvailableOfferStruct[]

Available offers for boost option

boostOffer
read-only
OfferEnum

Current boost offer

ValuesCLOUDWEB_1CLOUDWEB_2CLOUDWEB_3KSPERFORMANCE_1PERFORMANCE_2PERFORMANCE_3PERFORMANCE_4PERSOPOWER_BETA_1PROSTARThosting-agencyhosting-agency-maxhosting-agency-plushosting-free-100mhosting-performance-1hosting-performance-2hosting-performance-3hosting-performance-4hosting-persohosting-prohosting-starterhosting-starter-ovhhosting-startup
cluster
read-only
string

Cluster name

clusterIp
read-only
ipv4

This direct ip to your cluster ( usefull for application like api )

clusterIpv6
read-only
ipv6

This direct ipv6 to your cluster ( usefull for application like api )

countriesIp
read-only
CountriesIp[]

Available clusterIp by countries

datacenter
read-only
string

Datacenter where this account is located

defaultAttachedDomain
read-only
string

The default attached domain created along with your hosting

displayName
string

Set the name displayed in ManagerV6 for your hosting (max 50 chars)

filer
read-only
string

Filer name

hasCdn
read-only
boolean

Has a CDN service linked on the hosting

hasHostedSsl
read-only
boolean

Has a HostedSSL service linked on the hosting

home
read-only
string

Path of your home

hostingIp
read-only
ipv4

The recommended ip for your hosting ( depends on hosting's linked services, e.g CDN or hostedSSL )

hostingIpv6
read-only
ipv6

The recommended ipv6 for your hosting ( depends on hosting's linked services, e.g CDN or hostedSSL )

iam
read-only
ResourceMetadata

IAM resource metadata

lastOvhConfigScan
read-only
stringdate-time

/hosting/web/{serviceName}/ovhConfig is stored in cache. This date is the last refresh of this data

multipleSSL
read-only
boolean

If set to true, service can manage more than only one certificate

objectQuota
read-only
number

objects allowed

objectUsed
read-only
number

objects used

offer
read-only
OfferEnum

Hosting offer

ValuesCLOUDWEB_1CLOUDWEB_2CLOUDWEB_3KSPERFORMANCE_1PERFORMANCE_2PERFORMANCE_3PERFORMANCE_4PERSOPOWER_BETA_1PROSTARThosting-agencyhosting-agency-maxhosting-agency-plushosting-free-100mhosting-performance-1hosting-performance-2hosting-performance-3hosting-performance-4hosting-persohosting-prohosting-starterhosting-starter-ovhhosting-startup
operatingSystem
read-only
OperatingSystemEnum

Hosting's OS

Valueslinux
phpVersions
read-only
PhpVersion[]

State of available php versions for this account

primaryLogin
read-only
string

Hosting's main login

quotaSize
read-only
UnitAndValue_double

Space allowed

quotaUsed
read-only
UnitAndValue_double

Space used

recommendedOffer
read-only
OfferEnum

If your offer is old, return a recommended offer to migrate on

ValuesCLOUDWEB_1CLOUDWEB_2CLOUDWEB_3KSPERFORMANCE_1PERFORMANCE_2PERFORMANCE_3PERFORMANCE_4PERSOPOWER_BETA_1PROSTARThosting-agencyhosting-agency-maxhosting-agency-plushosting-free-100mhosting-performance-1hosting-performance-2hosting-performance-3hosting-performance-4hosting-persohosting-prohosting-starterhosting-starter-ovhhosting-startup
resourceType
read-only
ResourceEnum

Hosting resource type

ValuesbestEffortclouddedicatedshared
serviceManagementAccess
read-only
ServiceAccess

URLs to use to manage your webhosting

serviceName
read-only
string

Service name

state
read-only
StateEnum

State of your hosting

ValuesactiveblockedbloquedhardBlockedhardBloquedmaintenance
token
read-only
string

Use to link an external domain. ( This token has to be insert into a TXT field on your dns zone with ovhcontrol subdomain )

trafficQuotaSize
read-only
UnitAndValue_double

Traffic quota allowed ( null = unlimited )

trafficQuotaUsed
read-only
UnitAndValue_double

Traffic quota used

updates
read-only
string[]

List of updates on your hosting

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "availableBoostOffer": [ { "offer": "CLOUDWEB_1", "price": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 } } ], "boostOffer": "CLOUDWEB_1", "cluster": "string", "clusterIp": "192.0.2.0", "clusterIpv6": "2001:41d0:1:1994::1", "countriesIp": [ { "country": "BE", "ip": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1" } ], "datacenter": "string", "defaultAttachedDomain": "string", "displayName": "string", "filer": "string", "hasCdn": true, "hasHostedSsl": true, "home": "string", "hostingIp": "192.0.2.0", "hostingIpv6": "2001:41d0:1:1994::1", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "lastOvhConfigScan": "2024-01-01T12:00:00Z", "multipleSSL": true, "objectQuota": 0, "objectUsed": 0, "offer": "CLOUDWEB_1", "operatingSystem": "linux", "phpVersions": [ { "support": "BETA", "version": "string" } ], "primaryLogin": "string", "quotaSize": { "unit": "string", "value": 0 }, "quotaUsed": { "unit": "string", "value": 0 }, "recommendedOffer": "CLOUDWEB_1", "resourceType": "bestEffort", "serviceManagementAccess": { "ftp": { "port": 0, "url": "string" }, "http": { "port": 0, "url": "string" }, "ssh": { "port": 0, "url": "string" } }, "serviceName": "string", "state": "active", "token": "string", "trafficQuotaSize": { "unit": "string", "value": 0 }, "trafficQuotaUsed": { "unit": "string", "value": 0 }, "updates": [ "string" ]}

List available offersProduction

GET
/1.0/hosting/web/availableOffer

List available offers. Returns the offers that can be ordered for the given domain, to create a new hosting or upgrade an existing one.

Query parameters

domain
required
string

Domain you want to add or upgrade a hosting

Response

200OfferEnum[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/availableOffer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "CLOUDWEB_1"]

List current incidentsProduction

GET
/1.0/hosting/web/incident

List current incidents. Returns the incidents in progress on the web hosting platform that can affect the hosting services.

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/incident \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get offer capabilitiesProductionPublic

GET
/1.0/hosting/web/offerCapabilities

Get offer capabilities. Returns what an offer includes: attached domains, databases, disk, traffic, SSH, cron, modules and runtimes.

Query parameters

offer
required
OfferCapabilitiesEnum

Describe offer capabilities

Values1000gp20gp240gp240pack240plan300gp60gp720pack720plan90pack90planCLOUDWEB_1CLOUDWEB_2CLOUDWEB_3KSPERFORMANCE_1PERFORMANCE_2PERFORMANCE_3PERFORMANCE_4PERSOPOWER_BETA_1PROSTARTbusinesscloudweb1cloudweb2cloudweb3cloudwebbetax1depro2012deprol2012deproxl2012deproxxl2012destart2012destartl2012destartxl2012domainpackhosting-agencyhosting-agency-maxhosting-agency-plushosting-free-100mhosting-performance-1hosting-performance-2hosting-performance-3hosting-performance-4hosting-persohosting-prohosting-starterhosting-starter-ovhhosting-startuphostingAtScaleX128hostingAtScaleX16hostingAtScaleX20hostingAtScaleX24hostingAtScaleX32hostingAtScaleX64hostingAtScaleX8itbusiness2012itperso2012itpremium2012kimsufi2015mailpackmailplanmediapackmediaplanovhpro1Toovhpro2Toovhpro5Topaas2014betaperf2014x1perf2014x2perf2014x3perf2014x4perso2010perso2014powerBeta1powerbeta1premiumpro2010pro2014start10gstart10mstart1gstart1gesstart1mstart5gstarterxxlpackxxlplan

Response

200Capabilitiessuccessful operation
attachedDomains
integer

Number of domains you can attach to your hosting

crontab
boolean

Does the offer allow crontab

databaseEngines
integer

Number of database engines allowed for your hosting

databases
CreationDatabaseCapabilities[]

Describe all databases type you can have

disk
DiskType

Disk capacity and type available for your hosting ( null for unlimited )

emails
CreationEmailCapabilities

Describe all email offer you can have

envVars
integer

Number of environment variables allowed for your hosting

extraUsers
integer

Number of ftp user you can create

filesBrowser
boolean

Does the offer allow access to web files browser?

highlight
HighLightEnum

Marketing information about the current offer

Valuesbest-sellernew
languages
CronLanguageAvailable

Language available for cron script

moduleOneClick
boolean

Does the offer allow 1-click modules?

privateDatabases
CreationDatabaseCapabilities[]

Describe all privateDatabases type you can have

runtimes
integer

Number of runtimes allowed for your hosting

sitesRecommended
integer

Number of sites recommended for your hosting ( -1 for unlimited )

ssh
boolean

Does the offer allow SSH access

traffic
UnitAndValue_double

Traffic quota size for your hosting ( null for unlimited )

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/offerCapabilities
ResponseExample
{ "attachedDomains": 0, "crontab": true, "databaseEngines": 0, "databases": [ { "available": 0, "engines": [ "mariadb" ], "isolation": "dedicated", "quota": { "unit": "string", "value": 0 }, "type": "extraSqlPerso" } ], "disk": { "type": "HDD", "unit": "string", "value": 0 }, "emails": { "available": 0, "quota": { "unit": "string", "value": 0 } }, "envVars": 0, "extraUsers": 0, "filesBrowser": true, "highlight": "best-seller", "languages": { "nodejs": [ "nodejs-10" ], "php": [ "phpfpm-5.6" ], "python": [ "python-2" ], "ruby": [ "ruby-2.6" ] }, "moduleOneClick": true, "privateDatabases": [ { "available": 0, "engines": [ "mariadb" ], "isolation": "dedicated", "quota": { "unit": "string", "value": 0 }, "type": "extraSqlPerso" } ], "runtimes": 0, "sitesRecommended": 0, "ssh": true, "traffic": { "unit": "string", "value": 0 }}

Get the abuse stateProduction

GET
/1.0/hosting/web/{serviceName}/abuseState

Returns the access, web, outgoing email and outgoing TCP states of the hosting.

Path parameters

serviceName
required
string

Service name

Response

200AbuseStatesuccessful operation
accessState
read-only
AccessStateEnum

access state

ValuesactiveblockedhardBlockedhardMaintenancemaintenance
mailsoutState
read-only
MailsoutStateEnum

mailsout state

ValuesbouncekookspamspamLegalBlocked
outState
read-only
OutStateEnum

TCP out state

ValuesactiveblockedhardBlocked
webState
read-only
StateEnum

web state

ValuesactiveblockedbloquedhardBlockedhardBloquedmaintenance

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/abuseState \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accessState": "active", "mailsoutState": "bounce", "outState": "active", "webState": "active"}

List available configurationsProduction

GET
/1.0/hosting/web/{serviceName}/availableConfigurations

List available configurations. Returns the language versions available for the application configuration. Filter them by language.

Path parameters

serviceName
required
string

The internal name of your hosting

Query parameters

language
LanguageEnum

Filter on language name

Valuesnodejspythonruby

Response

200VersionEnum[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/availableConfigurations \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "nodejs-12"]

Get a boost history entryProduction

GET
/1.0/hosting/web/{serviceName}/boostHistory/{date}

Returns the boost offer, the hosting offer at that time, the requesting account and the request date.

Path parameters

date
required
stringdate-time

Date

serviceName
required
string

Service name

Response

200BoostHistorysuccessful operation
accountId
read-only
string

Account who requested the change

boostOffer
read-only
OfferEnum

Boost offer used

ValuesCLOUDWEB_1CLOUDWEB_2CLOUDWEB_3KSPERFORMANCE_1PERFORMANCE_2PERFORMANCE_3PERFORMANCE_4PERSOPOWER_BETA_1PROSTARThosting-agencyhosting-agency-maxhosting-agency-plushosting-free-100mhosting-performance-1hosting-performance-2hosting-performance-3hosting-performance-4hosting-persohosting-prohosting-starterhosting-starter-ovhhosting-startup
date
read-only
stringdate-time

The date when the change has been requested

offer
read-only
OfferEnum

Offer when the change was made

ValuesCLOUDWEB_1CLOUDWEB_2CLOUDWEB_3KSPERFORMANCE_1PERFORMANCE_2PERFORMANCE_3PERFORMANCE_4PERSOPOWER_BETA_1PROSTARThosting-agencyhosting-agency-maxhosting-agency-plushosting-free-100mhosting-performance-1hosting-performance-2hosting-performance-3hosting-performance-4hosting-persohosting-prohosting-starterhosting-starter-ovhhosting-startup

Example uses date = 2024-01-01T12:00:00Z, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/boostHistory/{date} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accountId": "string", "boostOffer": "CLOUDWEB_1", "date": "2024-01-01T12:00:00Z", "offer": "CLOUDWEB_1"}

Get the CDNProduction

GET
/1.0/hosting/web/{serviceName}/cdn

Returns the domain, type, version and status of the CDN option, and whether it is free with the hosting.

Path parameters

serviceName
required
string

Service name

Response

200CDNsuccessful operation
domain
read-only
string

Domain of this CDN

free
read-only
boolean

Whether CDN is free with the hosting

status
read-only
StatusEnum

Status of the CDN option

Valuescreatedcreatingdeletingflushingreopeningsuspendedsuspending
taskId
read-only
integer

The task ID working on this CDN

type
read-only
string

Type of the CDN

version
read-only
string

Version of the CDN

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/cdn \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "domain": "string", "free": true, "status": "created", "taskId": 0, "type": "string", "version": "string"}

Get CDN service informationProduction

GET
/1.0/hosting/web/{serviceName}/cdn/serviceInfos

Get CDN service information. Returns the billing information of the CDN option: creation and expiration dates, renewal settings and contacts.

Path parameters

serviceName
required
string

The internal name of your hosting

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/cdn/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Get the configurationProduction

GET
/1.0/hosting/web/{serviceName}/configuration

Get the configuration. Returns the language, version, environment, launch script and public directory of the application.

Path parameters

serviceName
required
string

The internal name of your hosting

Response

200configurationsuccessful operation
appEnv
EnvEnum

Application environment

Valuesdevelopmentproduction
entryPoint
string

Application launch script

id
read-only
integer

Id of the current configuration

language
LanguageEnum

language chosen for the current hosting

Valuesnodejspythonruby
publicDir
string

Directory of the application

status
read-only
StateEnum

Status of current configuration

Valuescreatedcreatingdeletingupdating
version
string

version of the language chosen for the current hosting

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/configuration \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "appEnv": "development", "entryPoint": "string", "id": 0, "language": "nodejs", "publicDir": "string", "status": "created", "version": "string"}

Get the email stateProduction

GET
/1.0/hosting/web/{serviceName}/email

Get the email state. Returns the state of the emails sent by the hosting scripts, with the volumes sent, the bounces and the daily limit.

Path parameters

serviceName
required
string

The internal name of your hosting

Response

200emailsuccessful operation
bounce
read-only
integer

Bounce

email
string

Email used to receive errors

maxPerDay
read-only
integer

Max email to sent per day

sent
read-only
integer

Email sent since hosting creation

sentToday
read-only
integer

Email sent today

spoofing
read-only
integer

Spoofing Bounce

state
read-only
StateEnum

Email state

Valuesbounceforcekookpurgingspam

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/email \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "bounce": 0, "email": "string", "maxPerDay": 0, "sent": 0, "sentToday": 0, "spoofing": 0, "state": "bounce"}

List email bouncesProduction

GET
/1.0/hosting/web/{serviceName}/email/bounces

List email bounces. Returns the last bounces of the emails sent by the hosting: 20 by default, 100 at most with limit.

Path parameters

serviceName
required
string

The internal name of your hosting

Query parameters

limit
required
integer

Maximum bounces limit ( default : 20 / max : 100 )

Response

200Bounce[]successful operation
date
stringdate-time

The datetime of this bounce

isSpoofing
boolean

Whether this bounce is spoofing or not

message
string

The return message for this bounce

to
string

The email where you have the bounce

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/email/bounces \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "date": "2024-01-01T12:00:00Z", "isSpoofing": true, "message": "string", "to": "string" }]

Get email volume historyProduction

GET
/1.0/hosting/web/{serviceName}/email/volumes

Get email volume history. Returns the number of emails sent by the hosting scripts over time, as a list of dated volume points.

Path parameters

serviceName
required
string

The internal name of your hosting

Response

200VolumeHistory[]successful operation
date
stringdate-time

The datetime of this volume history point

volume
integer

The volume history size

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/email/volumes \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "date": "2024-01-01T12:00:00Z", "volume": 0 }]

List email optionsProduction

GET
/1.0/hosting/web/{serviceName}/emailOption

List email options. Returns the IDs of the email options of the hosting. Each option is a mail service linked to the hosting.

Path parameters

serviceName
required
string

The internal name of your hosting

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/emailOption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an email optionProduction

GET
/1.0/hosting/web/{serviceName}/emailOption/{id}

Get an email option. Returns the domain and creation date of the email option. Its billing information is returned by serviceInfos.

Path parameters

id
required
integer

Id of the object

serviceName
required
string

The internal name of your hosting

Response

200emailoptionsuccessful operation
creationDate
read-only
stringdate-time

Creation date

domain
read-only
string

Email service domain

id
read-only
integer

Account id

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/emailOption/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "id": 0}

Get email option service informationProduction

GET
/1.0/hosting/web/{serviceName}/emailOption/{id}/serviceInfos

Get email option service information. Returns the billing information of the email option: creation and expiration dates, renewal settings and contacts.

Path parameters

id
required
integer

Id of the object

serviceName
required
string

The internal name of your hosting

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/emailOption/{id}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

List free domainsProduction

GET
/1.0/hosting/web/{serviceName}/freedom

Returns the free domain names included with the hosting offer. Filter them by status.

Path parameters

serviceName
required
string

Service name

Query parameters

status
StatusEnum

Filter the freedom status (=)

ValuesblockedByCustomerblockedBySystemokpreset

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/freedom \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a metrics tokenProduction

GET
/1.0/hosting/web/{serviceName}/metricsToken

Returns a token to read the hosting metrics, the endpoint to query and the token expiration date.

Path parameters

serviceName
required
string

Service name

Response

200MetricsTokensuccessful operation
endpoint
read-only
string

Backend url

expiry
read-only
stringdate-time

Token expiration date

token
read-only
stringpassword

Generated token

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/metricsToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "endpoint": "string", "expiry": "2024-01-01T12:00:00Z", "token": "string"}

List .ovhconfig filesProduction

GET
/1.0/hosting/web/{serviceName}/ovhConfig

List .ovhconfig files. Returns the IDs of the .ovhconfig configurations of the hosting. Filter them by path, or by historical to include old ones.

Path parameters

serviceName
required
string

The internal name of your hosting

Query parameters

historical
boolean

Filter the value of historical property (=)

path
string

Filter the value of path property (like)

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ovhConfig \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a .ovhconfig fileProduction

GET
/1.0/hosting/web/{serviceName}/ovhConfig/{id}

Get a .ovhconfig file. Returns the engine, version, container, environment, HTTP firewall and status of the configuration of a folder.

Path parameters

id
required
integer

Configuration's id

serviceName
required
string

The internal name of your hosting

Response

200ovhConfigsuccessful operation
container
read-only
string

Container to run this website

creationDate
read-only
stringdate-time

When ovhconfig was created, or found for the first time, on the hosting servers

engineName
read-only
EngineNameEnum

Version of engine you want

Valuesphpphpcgi
engineVersion
read-only
EngineVersionEnum

Name of engine you want

Values4.45.05.15.25.35.45.55.67.07.17.27.37.48.08.18.28.38.48.5AUTO
environment
read-only
EnvironmentEnum

Environment configuration you want

Valuesdevelopmentproduction
fileExist
read-only
boolean

If .ovhConfig exists

historical
read-only
boolean

If this configuration is an old configuration

httpFirewall
read-only
HttpFirewallEnum

Configuration you want for http firewall

Valuesnonesecurity
id
read-only
integer

Configuration's id

path
read-only
string

Config path, relative to your home directory

status
read-only
StatusEnum

The configuration status

Valuescreatedrollbackingupdating
taskId
read-only
integer

The task ID working on this configuration

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ovhConfig/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "container": "string", "creationDate": "2024-01-01T12:00:00Z", "engineName": "php", "engineVersion": "4.4", "environment": "development", "fileExist": true, "historical": true, "httpFirewall": "none", "id": 0, "path": "string", "status": "created", "taskId": 0}

List .ovhconfig capabilitiesProduction

GET
/1.0/hosting/web/{serviceName}/ovhConfigCapabilities

List .ovhconfig capabilities. Returns the PHP versions and container images available on the hosting.

Path parameters

serviceName
required
string

The internal name of your hosting

Response

200OvhConfigCapabilities[]successful operation
containerImage
string[]

Container image available

version
AvailableEngineVersionEnum

PHP version

Values5.45.55.67.07.17.27.37.48.08.18.28.38.48.5

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ovhConfigCapabilities \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "containerImage": [ "string" ], "version": "5.4" }]

Get recommended .ovhconfig valuesProduction

GET
/1.0/hosting/web/{serviceName}/ovhConfigRecommendedValues

Get recommended .ovhconfig values. Returns the recommended engine, version, container, environment and HTTP firewall for the .ovhconfig file.

Path parameters

serviceName
required
string

The internal name of your hosting

Response

200OvhConfigRecommendedValuessuccessful operation
container
ContainerEnum

Container to run this website

Valuesjessie.i386legacystablestable64testing
engineName
EngineNameEnum

Engine name

Valuesphpphpcgi
engineVersion
AvailableEngineVersionEnum

PHP version

Values5.45.55.67.07.17.27.37.48.08.18.28.38.48.5
environment
EnvironmentEnum

Environment configuration

Valuesdevelopmentproduction
httpFirewall
HttpFirewallEnum

Configuration for http firewall

Valuesnonesecurity

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ovhConfigRecommendedValues \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "container": "jessie.i386", "engineName": "php", "engineVersion": "5.4", "environment": "development", "httpFirewall": "none"}

List runtime configurationsProduction

GET
/1.0/hosting/web/{serviceName}/runtime

List runtime configurations. Returns the IDs of the runtime configurations of the hosting. Filter them by name or type.

Path parameters

serviceName
required
string

The internal name of your hosting

Query parameters

name
string

Filter the value of name property (like)

type
TypeEnum

Filter the value of type property (=)

Valuesnodejs-10nodejs-11nodejs-12nodejs-14nodejs-8nodejs-9phpfpm-5.6phpfpm-7.0phpfpm-7.1phpfpm-7.2phpfpm-7.3phpfpm-7.4phpfpm-8.0python-2python-3ruby-2.6

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/runtime \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a runtime configurationProduction

GET
/1.0/hosting/web/{serviceName}/runtime/{id}

Get a runtime configuration. Returns the backend type, environment, bootstrap script, public directory and status of the runtime configuration.

Path parameters

id
required
integer

The runtime configuration ID

serviceName
required
string

The internal name of your hosting

Response

200runtimesuccessful operation
appBootstrap
string

The client application bootstrap script

appEnv
EnvEnum

The client application environment

Valuesdevelopmentproduction
creationDate
read-only
stringdate-time

The creation date of the runtime configuration

id
read-only
integer

The runtime configuration ID

isDefault
boolean

Is the runtime configuration is the one by default for the hosting

isDeletable
read-only
boolean

Return if the runtime configuration can be deleted

lastUpdate
read-only
stringdate-time

The last update date of the runtime configuration

name
string

The custom display name of the runtime configuration

publicDir
string

The client application public directory

status
read-only
StateEnum

The status of the runtime

Valuescreatedcreatingdeletingupdating
taskId
read-only
integer

The link current task for the runtime configuration

type
TypeEnum

The backend type of the runtime

Valuesnodejs-10nodejs-11nodejs-12nodejs-14nodejs-8nodejs-9phpfpm-5.6phpfpm-7.0phpfpm-7.1phpfpm-7.2phpfpm-7.3phpfpm-7.4phpfpm-8.0python-2python-3ruby-2.6

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/runtime/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "appBootstrap": "string", "appEnv": "development", "creationDate": "2024-01-01T12:00:00Z", "id": 0, "isDefault": true, "isDeletable": true, "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "publicDir": "string", "status": "created", "taskId": 0, "type": "nodejs-10"}

List runtime configuration domainsProduction

GET
/1.0/hosting/web/{serviceName}/runtime/{id}/attachedDomains

List runtime configuration domains. Returns the attached domains that use the runtime configuration. Link a domain to it with its runtimeId.

Path parameters

id
required
integer

The runtime configuration ID

serviceName
required
string

The internal name of your hosting

Response

200string[]successful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/runtime/{id}/attachedDomains \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List runtime backend typesProduction

GET
/1.0/hosting/web/{serviceName}/runtimeAvailableTypes

List runtime backend types. Returns the backend types available for runtime configurations. Filter them by programming language.

Path parameters

serviceName
required
string

The internal name of your hosting

Query parameters

language
string

Specific programming language to filter

Response

200TypeEnum[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/runtimeAvailableTypes \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "nodejs-10"]

Get service informationProduction

GET
/1.0/hosting/web/{serviceName}/serviceInfos

Returns the billing information of the service: creation and expiration dates, renewal settings and contacts.

Path parameters

serviceName
required
string

Service name

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Get a web hostingBeta

GET
/v2/webhosting/resource/{name}

Returns the web hosting, identified by its service name, with its current state and running tasks.

Path parameters

name
required
string

Name

Response

200WebWithIAMsuccessful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
WebCurrentState

Current state of the hosting plan

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the hosting plan

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the resource. Here, the service name is used as an identifier.

resourceStatus
read-only
ResourceStatusEnum

Webhosting resource readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses name = string

$ curl https://api.eu.ovhcloud.com/v2/webhosting/resource/{name} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "name": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING"}

Update CDN renewalProduction

POST
/1.0/hosting/web/{serviceName}/cdn/serviceInfosUpdate

Update CDN renewal. Updates the renewal settings of the CDN option: automatic renewal, renewal period and deletion at expiration.

Path parameters

serviceName
required
string

The internal name of your hosting

Request body (required)

renew
required
RenewType

Renew type

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/cdn/serviceInfosUpdate \
  -H "authorization: Bearer $OVH_TOKEN"

Terminate the CDN optionProduction

POST
/1.0/hosting/web/{serviceName}/cdn/terminate

Terminate the CDN option. Requests the termination of the CDN option. A link to confirm it is sent by email to the administrator contact.

Path parameters

serviceName
required
string

The internal name of your hosting

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/cdn/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Change contactsProduction

POST
/1.0/hosting/web/{serviceName}/changeContact

Starts the contact change procedure of the service. Returns the identifiers of the created tasks.

Path parameters

serviceName
required
string

Service name

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Confirm terminationProduction

POST
/1.0/hosting/web/{serviceName}/confirmTermination

Confirms the termination of the service with the token sent by email.

Path parameters

serviceName
required
string

Service name

Request body (required)

commentary
string

Commentary about your termination request

commentaryFutureUse
string

Commentary about your future use

commentaryReason
string

Commentary about your reason for termination request

futureUse
TerminationFutureUseEnum

All future uses you can provide for a service termination

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

All reasons you can provide for a service termination

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Run an email actionProduction

POST
/1.0/hosting/web/{serviceName}/email/request

Run an email action. Blocks or unblocks the emails sent by the hosting scripts, or purges the queue of emails waiting to be sent.

Path parameters

serviceName
required
string

The internal name of your hosting

Request body (required)

action
required
ActionEnum

Action you want to request

ValuesBLOCKPURGEUNBLOCK

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/email/request \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Terminate an email optionProduction

POST
/1.0/hosting/web/{serviceName}/emailOption/{id}/terminate

Terminate an email option. Requests the termination of the email option. A link to confirm it is sent by email to the administrator contact.

Path parameters

id
required
integer

Id of the object

serviceName
required
string

The internal name of your hosting

Response

200stringsuccessful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/emailOption/{id}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Change a .ovhconfig fileProduction

POST
/1.0/hosting/web/{serviceName}/ovhConfig/{id}/changeConfiguration

Change a .ovhconfig file. Applies a new engine, version, container, environment or HTTP firewall setting to the folder, and returns the task.

Path parameters

id
required
integer

Configuration's id

serviceName
required
string

The internal name of your hosting

Request body (required)

container
ContainerEnum

Container to run this website

Valuesjessie.i386legacystablestable64testing
engineName
EngineNameEnum

Version of engine you want

Valuesphpphpcgi
engineVersion
AvailableEngineVersionEnum

Name of engine you want

Values5.45.55.67.07.17.27.37.48.08.18.28.38.48.5
environment
EnvironmentEnum

Environment configuration you want

Valuesdevelopmentproduction
httpFirewall
HttpFirewallEnum

Configuration you want for http firewall

Valuesnonesecurity

Response

200tasksuccessful operation
doneDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

the id of the task

lastUpdate
read-only
stringdate-time

last update

objectId
read-only
string

Task related object ID

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Task Creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ovhConfig/{id}/changeConfiguration \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Roll back a .ovhconfig fileProduction

POST
/1.0/hosting/web/{serviceName}/ovhConfig/{id}/rollback

Roll back a .ovhconfig file. Restores the old configuration given by rollbackId and returns the task.

Path parameters

id
required
integer

Configuration's id

serviceName
required
string

The internal name of your hosting

Request body (required)

rollbackId
required
integer

The configuration's id you want to rollback

Response

200tasksuccessful operation
doneDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

the id of the task

lastUpdate
read-only
stringdate-time

last update

objectId
read-only
string

Task related object ID

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Task Creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ovhConfig/{id}/rollback \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Refresh .ovhconfig filesProduction

POST
/1.0/hosting/web/{serviceName}/ovhConfigRefresh

Refresh .ovhconfig files. Synchronizes the list of configurations with the .ovhconfig files on the hosting, and returns the task.

Path parameters

serviceName
required
string

The internal name of your hosting

Response

200tasksuccessful operation
doneDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

the id of the task

lastUpdate
read-only
stringdate-time

last update

objectId
read-only
string

Task related object ID

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Task Creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ovhConfigRefresh \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Run an actionProduction

POST
/1.0/hosting/web/{serviceName}/request

Run an action. Checks the quota, flushes the cache or runs an antihack scan on the hosting, and returns the task.

Path parameters

serviceName
required
string

The internal name of your hosting

Request body (required)

action
required
RequestActionEnum

Action you want to request

ValuesCHECK_QUOTAFLUSH_CACHESCAN_ANTIHACK

Response

200tasksuccessful operation
doneDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

the id of the task

lastUpdate
read-only
stringdate-time

last update

objectId
read-only
string

Task related object ID

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Task Creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/request \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Request a boostProduction

POST
/1.0/hosting/web/{serviceName}/requestBoost

Applies the requested boost offer to the hosting and returns the task. Send a null offer to disable the boost.

Path parameters

serviceName
required
string

Service name

Request body (required)

offer
OfferEnum

Requested boost offer

ValuesCLOUDWEB_1CLOUDWEB_2CLOUDWEB_3KSPERFORMANCE_1PERFORMANCE_2PERFORMANCE_3PERFORMANCE_4PERSOPOWER_BETA_1PROSTARThosting-agencyhosting-agency-maxhosting-agency-plushosting-free-100mhosting-performance-1hosting-performance-2hosting-performance-3hosting-performance-4hosting-persohosting-prohosting-starterhosting-starter-ovhhosting-startup

Response

200PublicTasksuccessful operation
doneDate
read-only
stringdate-time

Done date

function
read-only
FunctionEnum

Task function

Valuesabuse/closeabuse/createabuse/create/webabuse/delete/webabuse/updateabuse/update/webagora/AnycastUpdateReferenceagora/DnsAddonUpdateReferenceagora/DnsUpdateReferenceagora/updateReferenceattachedDomain/createattachedDomain/deleteattachedDomain/restartattachedDomain/updatecdn/deletecdn/domain/createcdn/domain/deletecdn/domain/flushcdn/domain/suspendcdn/flushcdn/installcdn/reopencdn/suspendcdn/upgradecluster/setDevelopmentcluster/setTestingcluster/ssl/deploycluster/ssl/renewcluster/test/attachedDomainscluster/test/cdncluster/test/cronscluster/test/emailscluster/test/fileBrowsercluster/test/hostedsslcluster/test/modulescluster/test/ovhConfigcluster/test/userLogscluster/test/usersconfiguration/createconfiguration/deleteconfiguration/updatecron/createcron/deletecron/updatedatabase/changePassworddatabase/changePasswordTestdatabase/changeRightdatabase/changeRightTestdatabase/checkQuotaNowdatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/deleteTestdatabase/dumpAnyDaydatabase/hostUpdatedatabase/importdatabase/optimizedatabase/restorededicatedIp/deletededicatedIp/reopendedicatedIp/suspenddepc/pushdump/createdump/deleteenvVar/createenvVar/deleteenvVar/updateenvVar/upgradeeventbus/pushfilerz/customerMonitoringfilerz/deletehostedssl/assignFreeKeyhostedssl/cdn/updatehostedssl/createhostedssl/deletehostedssl/globalsign/deletehostedssl/htaccess/installhostedssl/importhostedssl/installhostedssl/install/sectigohostedssl/iplb/reloadhostedssl/pushhostedssl/pushDcvFilehostedssl/regeneratehostedssl/repushhosting/activate/privateDatabasehosting/basculementhosting/changeOffer/cloudhosting/changeOffer/sharedhosting/changementhosting/deletehosting/delete_start1mhosting/installhosting/reopenhosting/suspendindy/reopenindy/suspendinfra/certificate/deployinfra/certificate/generateinfra/certificate/installinfra/sharedsql/upgradeinfra/ssl/deployinfra/ssl/renewip/moveip/parklocalSeoAccount/createlocalSeoAccount/deletelocalSeoLocation/deletelocalSeoLocation/installlocalSeoLocation/reopenlocalSeoLocation/suspendlocalSeoVisibilityCheck/processmailsout/checkMailsoutQueuemailsout/flushMailsoutQueuemailsout/updateUserInRedismigration/copyUsersmigration/dday/filerzmigration/dday/listPrivateDatabasesmigration/dday/lotmigration/dday/updateInfra/cronsmigration/dday/updateInfra/dedicatedmigration/dday/updateInfra/migratedFqdnmigration/updateOrtmodule/changePasswordmodule/createmodule/deletemodule/installmonitoring/remotewritenotification/sendovhConfig/refreshovhConfig/rollbackovhConfig/updateovhOrg/deleteownLogs/createownLogs/deleteprovisionning/cdnprovisionning/clusterprovisionning/filerzprovisionning/filerz_logprovisionning/hostingprovisionning/ipfoprovisionning/ipifoprovisionning/iplbprovisionning/privatesqlprovisionning/sharedsqlprovisionning/sslprovisionning/webprovisionning/webappruntime/createruntime/deleteruntime/setDefaultruntime/updatescan/createsqlperso/deletesqlperso/installsqlperso/reopensqlperso/suspendsynchronizeDepc/attachedDomainsynchronizeDepc/clustersynchronizeDepc/databasesynchronizeDepc/filersynchronizeDepc/offersynchronizeDepc/webdtest/migrationuser/changePassworduser/createuser/deleteuser/updateuserLogs/changePassworduserLogs/createuserLogs/deleteuster/setTestingweb/changeDnsweb/changeFilerzweb/changeFilerzWithCallbackweb/changeJailStateweb/changeOutStateweb/changeStateweb/changeWebStateweb/checkQuotaNowweb/createweb/deleteweb/deleteUserweb/restoreSnapshotwebProvisionningwebd/changeSlotswebsite/createwebsite/deletewebsite/deploywebsite/vcs/createwebsite/vcs/deletewebsite/vcs/deploy
id
read-only
integer

Task's id

lastUpdate
read-only
stringdate-time

Last update date

objectId
read-only
string

Task object id

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Start date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/requestBoost \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "abuse/close", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Restore a backupProduction

POST
/1.0/hosting/web/{serviceName}/restoreSnapshot

Restore a backup. Restores the files of the hosting from a daily or weekly backup and returns the task. All current files are replaced by the backup. Databases are not restored.

Path parameters

serviceName
required
string

The internal name of your hosting

Request body (required)

backup
required
TypeEnum

The backup you want to restore

Valuesdaily.1daily.2daily.3weekly.1weekly.2

Response

200tasksuccessful operation
doneDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

the id of the task

lastUpdate
read-only
stringdate-time

last update

objectId
read-only
string

Task related object ID

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Task Creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/restoreSnapshot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Create a runtime configurationProduction

POST
/1.0/hosting/web/{serviceName}/runtime

Create a runtime configuration. Creates a runtime configuration with a backend type, an environment, a bootstrap script and a public directory, linked to attached domains, and returns the task.

Path parameters

serviceName
required
string

The internal name of your hosting

Request body (required)

appBootstrap
string

The client application bootstrap script

appEnv
EnvEnum

The client application environment

Valuesdevelopmentproduction
attachedDomains
string[]

The attached domains fqdn to link to this runtime configuration

isDefault
boolean

Set if the runtime configuration is the one by default for the hosting

name
string

The custom display name of the runtime configuration

publicDir
string

The client application public directory

type
TypeEnum

The backend type of a runtime configuration

Valuesnodejs-10nodejs-11nodejs-12nodejs-14nodejs-8nodejs-9phpfpm-5.6phpfpm-7.0phpfpm-7.1phpfpm-7.2phpfpm-7.3phpfpm-7.4phpfpm-8.0python-2python-3ruby-2.6

Response

200tasksuccessful operation
doneDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

the id of the task

lastUpdate
read-only
stringdate-time

last update

objectId
read-only
string

Task related object ID

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Task Creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/runtime \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Request terminationProduction

POST
/1.0/hosting/web/{serviceName}/terminate

Requests the termination of the service. Confirm it with confirmTermination and the token sent by email.

Path parameters

serviceName
required
string

Service name

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Unblock outgoing TCPProduction

POST
/1.0/hosting/web/{serviceName}/unblockTCPOut

Requests the unblocking of the outgoing TCP connections of the hosting, blocked after an abuse. Their current state is outState in the abuse state.

Path parameters

serviceName
required
string

Service name

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/unblockTCPOut \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a runtime configurationProduction

DELETE
/1.0/hosting/web/{serviceName}/runtime/{id}

Delete a runtime configuration. Deletes the runtime configuration and returns the task. Only a configuration with isDeletable set to true can be deleted.

Path parameters

id
required
integer

The runtime configuration ID

serviceName
required
string

The internal name of your hosting

Response

200tasksuccessful operation
doneDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

the id of the task

lastUpdate
read-only
stringdate-time

last update

objectId
read-only
string

Task related object ID

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Task Creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/runtime/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Update a web hostingProduction

PUT
/1.0/hosting/web/{serviceName}

Updates the display name of the web hosting.

Path parameters

serviceName
required
string

Service name

Request body (required)

availableBoostOffer
read-only
AvailableOfferStruct[]

Available offers for boost option

boostOffer
read-only
OfferEnum

Current boost offer

ValuesCLOUDWEB_1CLOUDWEB_2CLOUDWEB_3KSPERFORMANCE_1PERFORMANCE_2PERFORMANCE_3PERFORMANCE_4PERSOPOWER_BETA_1PROSTARThosting-agencyhosting-agency-maxhosting-agency-plushosting-free-100mhosting-performance-1hosting-performance-2hosting-performance-3hosting-performance-4hosting-persohosting-prohosting-starterhosting-starter-ovhhosting-startup
cluster
read-only
string

Cluster name

clusterIp
read-only
ipv4

This direct ip to your cluster ( usefull for application like api )

clusterIpv6
read-only
ipv6

This direct ipv6 to your cluster ( usefull for application like api )

countriesIp
read-only
CountriesIp[]

Available clusterIp by countries

datacenter
read-only
string

Datacenter where this account is located

defaultAttachedDomain
read-only
string

The default attached domain created along with your hosting

displayName
string

Set the name displayed in ManagerV6 for your hosting (max 50 chars)

filer
read-only
string

Filer name

hasCdn
read-only
boolean

Has a CDN service linked on the hosting

hasHostedSsl
read-only
boolean

Has a HostedSSL service linked on the hosting

home
read-only
string

Path of your home

hostingIp
read-only
ipv4

The recommended ip for your hosting ( depends on hosting's linked services, e.g CDN or hostedSSL )

hostingIpv6
read-only
ipv6

The recommended ipv6 for your hosting ( depends on hosting's linked services, e.g CDN or hostedSSL )

lastOvhConfigScan
read-only
stringdate-time

/hosting/web/{serviceName}/ovhConfig is stored in cache. This date is the last refresh of this data

multipleSSL
read-only
boolean

If set to true, service can manage more than only one certificate

objectQuota
read-only
number

objects allowed

objectUsed
read-only
number

objects used

offer
read-only
OfferEnum

Hosting offer

ValuesCLOUDWEB_1CLOUDWEB_2CLOUDWEB_3KSPERFORMANCE_1PERFORMANCE_2PERFORMANCE_3PERFORMANCE_4PERSOPOWER_BETA_1PROSTARThosting-agencyhosting-agency-maxhosting-agency-plushosting-free-100mhosting-performance-1hosting-performance-2hosting-performance-3hosting-performance-4hosting-persohosting-prohosting-starterhosting-starter-ovhhosting-startup
operatingSystem
read-only
OperatingSystemEnum

Hosting's OS

Valueslinux
phpVersions
read-only
PhpVersion[]

State of available php versions for this account

primaryLogin
read-only
string

Hosting's main login

quotaSize
read-only
UnitAndValue_double

Space allowed

quotaUsed
read-only
UnitAndValue_double

Space used

recommendedOffer
read-only
OfferEnum

If your offer is old, return a recommended offer to migrate on

ValuesCLOUDWEB_1CLOUDWEB_2CLOUDWEB_3KSPERFORMANCE_1PERFORMANCE_2PERFORMANCE_3PERFORMANCE_4PERSOPOWER_BETA_1PROSTARThosting-agencyhosting-agency-maxhosting-agency-plushosting-free-100mhosting-performance-1hosting-performance-2hosting-performance-3hosting-performance-4hosting-persohosting-prohosting-starterhosting-starter-ovhhosting-startup
resourceType
read-only
ResourceEnum

Hosting resource type

ValuesbestEffortclouddedicatedshared
serviceManagementAccess
read-only
ServiceAccess

URLs to use to manage your webhosting

serviceName
read-only
string

Service name

state
read-only
StateEnum

State of your hosting

ValuesactiveblockedbloquedhardBlockedhardBloquedmaintenance
token
read-only
string

Use to link an external domain. ( This token has to be insert into a TXT field on your dns zone with ovhcontrol subdomain )

trafficQuotaSize
read-only
UnitAndValue_double

Traffic quota allowed ( null = unlimited )

trafficQuotaUsed
read-only
UnitAndValue_double

Traffic quota used

updates
read-only
string[]

List of updates on your hosting

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Update the configurationProduction

PUT
/1.0/hosting/web/{serviceName}/configuration

Update the configuration. Updates the language, version, environment, launch script or public directory of the application.

Path parameters

serviceName
required
string

The internal name of your hosting

Request body (required)

appEnv
EnvEnum

Application environment

Valuesdevelopmentproduction
entryPoint
string

Application launch script

id
read-only
integer

Id of the current configuration

language
LanguageEnum

language chosen for the current hosting

Valuesnodejspythonruby
publicDir
string

Directory of the application

status
read-only
StateEnum

Status of current configuration

Valuescreatedcreatingdeletingupdating
version
string

version of the language chosen for the current hosting

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/configuration \
  -H "authorization: Bearer $OVH_TOKEN"

Update the email settingsProduction

PUT
/1.0/hosting/web/{serviceName}/email

Update the email settings. Updates the email address that receives the sending errors of the hosting scripts. The other fields are read-only.

Path parameters

serviceName
required
string

The internal name of your hosting

Request body (required)

bounce
read-only
integer

Bounce

email
string

Email used to receive errors

maxPerDay
read-only
integer

Max email to sent per day

sent
read-only
integer

Email sent since hosting creation

sentToday
read-only
integer

Email sent today

spoofing
read-only
integer

Spoofing Bounce

state
read-only
StateEnum

Email state

Valuesbounceforcekookpurgingspam

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/email \
  -H "authorization: Bearer $OVH_TOKEN"

Update a runtime configurationProduction

PUT
/1.0/hosting/web/{serviceName}/runtime/{id}

Update a runtime configuration. Updates the name, backend type, environment, bootstrap script, public directory or default status of the runtime configuration.

Path parameters

id
required
integer

The runtime configuration ID

serviceName
required
string

The internal name of your hosting

Request body (required)

appBootstrap
string

The client application bootstrap script

appEnv
EnvEnum

The client application environment

Valuesdevelopmentproduction
creationDate
read-only
stringdate-time

The creation date of the runtime configuration

id
read-only
integer

The runtime configuration ID

isDefault
boolean

Is the runtime configuration is the one by default for the hosting

isDeletable
read-only
boolean

Return if the runtime configuration can be deleted

lastUpdate
read-only
stringdate-time

The last update date of the runtime configuration

name
string

The custom display name of the runtime configuration

publicDir
string

The client application public directory

status
read-only
StateEnum

The status of the runtime

Valuescreatedcreatingdeletingupdating
taskId
read-only
integer

The link current task for the runtime configuration

type
TypeEnum

The backend type of the runtime

Valuesnodejs-10nodejs-11nodejs-12nodejs-14nodejs-8nodejs-9phpfpm-5.6phpfpm-7.0phpfpm-7.1phpfpm-7.2phpfpm-7.3phpfpm-7.4phpfpm-8.0python-2python-3ruby-2.6

Response

200—successful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/runtime/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Update service informationProduction

PUT
/1.0/hosting/web/{serviceName}/serviceInfos

Updates the renewal settings of the service.

Path parameters

serviceName
required
string

Service name

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"